<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.buscaUsuario.title']}" />
	</ui:define>
	
	<ui:define name="principal">
	<h1><p:outputLabel value="#{msg['pages.buscaUsuario.title']}"/></h1>
	  <h:form id="formBuscaUsuario">
		<p:outputLabel value="#{msg['pages.buscaUsuario.pesquisarCPF']}"/>
	 	<p:inputText value="#{usuarioManagedBeans.userCPF}"/>
		<p:commandButton value="#{msg['pages.buscaUsuario.buscar']}" 
		update=":formBuscaUsuario :formMostraUsuario" 
		action="#{usuarioManagedBeans.buscaporcpf}" onclick="PF('dlg1').show();"/>
		
		<p:dataTable var="aux"
					 value="#{usuarioManagedBeans.usuarios}"
					 id="tabelaUsuario">
					 
			<p:column headerText="Nome">
				<p:outputLabel value="#{aux.nome}"/>
			</p:column>
			
			<p:column headerText="CPF">
				<p:outputLabel value="#{aux.cpf}"/>
			</p:column>
		</p:dataTable>
		
	  </h:form>
	  
	  <p:dialog header="#{msg['pages.buscaUsuario.usuario']}" id="dialog" widgetVar="dlg1" minHeight="40">
	  	<h:form id="formMostraUsuario" scrollable="true" scrollHeight="150">
	  		<p:scrollPanel style="width:450px;height:350px">
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.nome']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.nome}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.email']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.email}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.dataNascimento']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.dataNascimento}">
    				<f:convertDateTime pattern="MM/dd/yyyy"/>
    			</p:outputLabel><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.tipo']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.tipo.descricao}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.telefoneFixo']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.telFixo}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.telefoneMovel']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.telMovel}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.endereco']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.endereco}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.rg']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.rg}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.cpf']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.cpf}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.cref']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.cref}"/><BR/><BR/>
    			<p:outputLabel value="#{msg['pages.cadastraUsuario.sexo']}: "/>
    			<p:outputLabel value="#{usuarioManagedBeans.usuarioSelecionado.sexo.descricao}"/><BR/><BR/>
    			
            	<p:commandButton value="#{msg['pages.buscaUsuario.gerarBoleto']}" 
            	update=":formBuscaUsuario :formMostraUsuario"
            	action="#{usuarioManagedBeans.boleto(usuarioManagedBeans.usuarioSelecionado)}"/>
            	<p:commandButton value="#{msg['pages.buscaUsuario.excluir']}"
            	update=":formBuscaUsuario :formMostraUsuario :dialog"
            	action="#{usuarioManagedBeans.remover(usuarioManagedBeans.usuarioSelecionado)}"/>
            </p:scrollPanel>
      	</h:form>
	  </p:dialog>
	  
	</ui:define>
	
	

</ui:composition>